Name: worker
Version: 2.14.1
Release: alt0.1
Summary: File manager for X-Window on UNIX
License: GPL
URL: http://www.boomerangsworld.de/cms/worker
Group: File tools
Source: http://www.boomerangsworld.de/cms/worker/downloads/%name-%version.tar.bz2
Source1: worker_16x16.png
Source2: worker_32x32.png
Source3: worker_48x48.png
Source4: worker_64x64.png
Source5: config-russian.utf8

Patch1: worker-2.14.0-alt-fix-icon-path.patch
Patch2: worker-2.14.1-alt-fix-default-config.patch
Patch3: worker-2.14.1-alt-xeditor.patch

Requires: common-licenses libavfs
Packager: Dmitriy Khanzhin <jinn@altlinux.ru>

# Automatically added by buildreq on Sat Nov 11 2006
BuildRequires: gcc-c++ imake libXt-devel xorg-cf-files
BuildPreReq: libavfs-devel

%description
Worker is a file manager for X-Window on UNIX.
The dirs and files are shown in two independent panels (similar to Midnight Commander).

Worker is free software released under the GNU General Public License.

%prep
%setup -q -n %name-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure --with-avfs
%make_build

%install
%makeinstall
mkdir -p %buildroot%_desktopdir

cat << EOF > %buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%name
Icon=%name
Terminal=false
Name=Worker
Comment=File manager for X-Window on UNIX
Categories=Application;FileManager;Utility;
EOF

install -pD -m644 %SOURCE1 %buildroot%_miconsdir/%name.png
install -pD -m644 %SOURCE2 %buildroot%_niconsdir/%name.png
install -pD -m644 %SOURCE3 %buildroot%_liconsdir/%name.png
install -pD -m644 %SOURCE4 %buildroot%_iconsdir/%name.png
install -pD -m644 %SOURCE5 %buildroot%_datadir/%name/config-russian.utf8

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog README*
%_bindir/*
%_datadir/%name
%_man1dir/*
%_pixmapsdir/%name.xpm
%_liconsdir/*
%_niconsdir/*
%_miconsdir/*
%_iconsdir/*
%_desktopdir/*

%changelog
* Sat Dec 30 2006 Dmitriy Khanzhin <jinn@altlinux.ru> 2.14.1-alt0.1
- 2.14.1
- fix icon paths
- fix default config

* Sat Nov 11 2006 Dmitriy Khanzhin <jinn@altlinux.ru> 2.14.0-alt0.1
- Initial build
